;===============================================
;=       Register in Benutzung                 =
;===============================================
;
;	 R0 =				R16 = temp 
;	 R1 =				R17 = Timerzhler
;	 R2 =				R18 = UART bertragungsregister
;	 R3 =				R19 = Status Byte
;	 R4 =				R20 =
;	 R5 =				R21 =
;	 R6 =				R22 =
;	 R7 =				R23 =
;	 R8 =				R24 =
;	 R9 =				R25 =
;	R10 = ADD-Wert		R26 =
;	R11 = ADD-Wert		R27 =
;	R12 = 			R28 =
;	R13 =				R29 =
;	R14 =				R30 =
;	R15 =				R31 =
;


;===============================================
;= Include-Dateien                             =
;===============================================
.include "m8def.inc"
.equ F_CPU = 7372800
;===============================================
;= Definitionen + Initialisierung              =
;===============================================
.def Status			= r19


	clr Status
;===============================================
;= RESET-Routinen                              =
;===============================================
RESET:                        
;===============================================
;= Initialisierungen                           =
;===============================================
;STACK initialisieren
	ldi r16, LOW(RAMEND)
    out SPL, r16
    ldi r16, HIGH(RAMEND)
    out SPH, r16
;Ports initialisieren
	ldi r16, 0xff			;Port b zeigt Aktivitt des Cs durch Blinken an
	out DDRB, r16

;Schnittstellen initialisieren
	rcall UART_INIT
	rcall TWI_INIT
;-----------------------------------------------
;	rcall TWI_START
;	rcall TWI_SlaveWriteAdresse
;	rcall TWI_Daten_schreiben
;	rcall TWI_STOP

;===============================================
;= Hauptroutine                                =
;===============================================
main:

	ldi r16, 0xf0
	out portb, r16
	rcall warte_1s

	ldi r16, 0x0f
	out portb, r16
	rcall warte_1s

	rcall rs_trennung			;wg. der bersichtlichkeit
	rcall TWI_START
	rcall TWI_SlaveReadAdresse
	rcall TWI_Daten_lesen_MSB		;MSB	
	rcall TWI_Daten_lesen_LSB		;LSB
	rcall TWI_STOP
	rcall rs_trennung			;wg. der bersichtlichkeit
	rcall rs_trennung			;wg. der bersichtlichkeit

rjmp main


;===============================================
;= Addon-Include-Dateien                       =
;===============================================
.include "URAT_Debug.asm"
.include "TWI_Lib.asm"
.include "Timer_Lib.asm"

